{ self, profiles, suites, ... }:
{
  imports = [
    ./configuration.nix
  ] ++ suites.mossnet;

  home-manager.users.anish = { self, suites, ... }: {
    imports = [ ] ++ suites.hmBase;
  };

  # For some reason this doesn't work in the profile, but does over here??
  # Something weird in the way I'm importing nixpkgs in the profile or something
  services."grasp".enable = true;
  services."grasp".path = "/home/anish/kitaab/grasp/grasp.wiki";
  services."grasp".user = "anish";

  # Backups
  age.secrets.borg-password.file = "${self}/secrets/borg-password.age";
  services.postgresqlBackup = {
    enable = true;
    databases = [ "wallabag" ];
    location = "/var/backup/postgresql";
  };
  mossnet.backup = {
    enable = true;
    name = "mossnet";
    paths = [
      "/var/lib/taskserver" # taskwarrior
      "/var/www/shaarli-config" # sharli
      "/var/backup/postgresql" # wallabag
      "/var/lib/radicale" # radicale
      "/home/anish/usr/drawing" # syncthing
      "/home/anish/usr/nonfiction" # syncthing
      "/mnt/two/postgres" # sealight postgres backups TODO remove once moved to capsul 
    ];
    # seafile
  };

  age.secrets.box-wg.file = "${self}/secrets/box-wg.age";
  age.secrets.box-wg.owner = "anish";
  mossnet.wg = {
    enable = true;
    ips = [ "10.0.69.4/24" ];
    privateKeyFile = "/run/agenix/box-wg";
  };
  services.syncthing.guiAddress = "0.0.0.0:8384"; # public syncthing
}
